Skip to content
VeilVeil
Esc
↑↓navigate↵open⌘Jpreview

This agent's grant events. Decision, item, action. Never secrets. Not MCP.

GET/v1/events
Authorization
AuthorizationBearer token (JWT) · headerrequired
Hydra JWT. Identity is the bound agent or a Keto member human. The host is not identity.
Responses
200Recent events for the Bearer agent
eventsAuditEvent[]required
Show properties
Array of AuditEvent
timestring<date-time>required
org_idstringrequired
agent_idstringrequired
item_idstringrequired
actionstringrequired
decisionstringrequired
Allowed:allowdenyneed_approval
reasonstring
approval_idstring
401missing or invalid Bearer
Request
curl -X GET "https://veil.nyc/v1/events" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "events": [
    {
      "time": "2024-01-01T00:00:00Z",
      "org_id": "string",
      "agent_id": "string",
      "item_id": "string",
      "action": "string",
      "decision": "allow",
      "reason": "string",
      "approval_id": "string"
    }
  ]
}